## ros-eloquent-rclcpp-lifecycle 0.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp_lifecycle)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_lifecycle REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(lifecycle_msgs REQUIRED)

include_directories(include)

### CPP High level library
add_library(rclcpp_lifecycle
  src/lifecycle_node.cpp
  src/node_interfaces/lifecycle_node_interface.cpp
  src/state.cpp
  src/transition.cpp
)
# specific order: dependents before dependencies
ament_target_dependencies(rclcpp_lifecycle
  "rclcpp"
  "rcl_lifecycle"
  "lifecycle_msgs"
  "rosidl_typesupport_cpp"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rclcpp_lifecycle PRIVATE "RCLCPP_LIFECYCLE_BUILDING_DLL")

install(TARGETS
  rclcpp_lifecycle
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_lifecycle_node test/test_lifecycle_node.cpp)
  if(TARGET test_lifecycle_node)
    ament_target_dependencies(test_lifecycle_node
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_lifecycle_node ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_state_machine_info test/test_state_machine_info.cpp)
  if(TARGET test_state_machine_info)
    ament_target_dependencies(test_state_machine_info
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_state_machine_info ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_register_custom_callbacks test/test_register_custom_callbacks.cpp)
  if(TARGET test_register_custom_callbacks)
    ament_target_dependencies(test_register_custom_callbacks
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_register_custom_callbacks ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_callback_exceptions test/test_callback_exceptions.cpp)
  if(TARGET test_callback_exceptions)
    ament_target_dependencies(test_callback_exceptions
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_callback_exceptions ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_state_wrapper test/test_state_wrapper.cpp)
  if(TARGET test_state_wrapper)
    ament_target_dependencies(test_state_wrapper
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_state_wrapper ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_transition_wrapper test/test_transition_wrapper.cpp)
  if(TARGET test_transition_wrapper)
    ament_target_dependencies(test_transition_wrapper
      "rcl_lifecycle"
      "rclcpp"
    )
    target_link_libraries(test_transition_wrapper ${PROJECT_NAME})
  endif()
endif()

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rclcpp)
ament_export_dependencies(rcl_lifecycle)
ament_export_dependencies(lifecycle_msgs)
ament_package()

install(DIRECTORY include/
  DESTINATION include)

=== debian/changelog ===
ros-eloquent-rclcpp-lifecycle (0.8.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.8.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.8.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.8.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.8.1-1bionic) bionic; urgency=high

  * New Intra-Process Communication (#778 <https://github.com/ros2/rclcpp/issues/778>)
  * Contributors: Alberto Soragna

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.8.0-1bionic) bionic; urgency=high

  * clean up publisher and subscription creation logic (#867 <https://github.com/ros2/rclcpp/issues/867>)
  * reset error message before setting a new one, embed the original one (#854 <https://github.com/ros2/rclcpp/issues/854>)
  * remove features and related code which were deprecated in dashing (#852 <https://github.com/ros2/rclcpp/issues/852>)
  * Fix typo in deprecated warning. (#848 <https://github.com/ros2/rclcpp/issues/848>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * Fixe error messages not printing to terminal (#777 <https://github.com/ros2/rclcpp/issues/777>)
  * Add default value to options in LifecycleNode construnctor. Update API documentation. (#775 <https://github.com/ros2/rclcpp/issues/775>)
  * Contributors: Dan Rose, Dirk Thomas, Esteve Fernandez, Luca Della Vedova, William Woodall, Yathartha Tuladhar

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.4-1bionic) bionic; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.3-1bionic) bionic; urgency=high

  * Added missing template functionality to lifecycle_node. (#707 <https://github.com/ros2/rclcpp/issues/707>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.2-1bionic) bionic; urgency=high

  * Added new way to specify QoS settings for publishers and subscriptions. (#713 <https://github.com/ros2/rclcpp/issues/713>)
  * Deprecated ``shared_ptr`` and raw pointer versions of ``Publisher<T>::publish()``. (#709 <https://github.com/ros2/rclcpp/issues/709>)
  * Implemented API to set callbacks for liveliness and deadline QoS events for publishers and subscriptions. (#695 <https://github.com/ros2/rclcpp/issues/695>)
  * Changed the ``IntraProcessManager`` to be capable of storing ``shared_ptr<const T>`` in addition to ``unique_ptr<T>``. (#690 <https://github.com/ros2/rclcpp/issues/690>)
  * Contributors: M. M, William Woodall, ivanpauno

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.1-1bionic) bionic; urgency=high

  * Added read only parameters. (#495 <https://github.com/ros2/rclcpp/issues/495>)
  * Contributors: Shane Loretz, William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.7.0-1bionic) bionic; urgency=high

  * Fixed linter errors in rclcpp_lifecycle. (#672 <https://github.com/ros2/rclcpp/issues/672>)
  * Added parameter-related templates to LifecycleNode. (#645 <https://github.com/ros2/rclcpp/issues/645>)
  * Fixed use_sim_time issue on LifeCycleNode. (#651 <https://github.com/ros2/rclcpp/issues/651>)
  * Updated to use ament_target_dependencies where possible. (#659 <https://github.com/ros2/rclcpp/issues/659>)
  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added a method to the LifecycleNode class to get the logging interface. (#652 <https://github.com/ros2/rclcpp/issues/652>)
  * Set Parameter Event Publisher settings #591 <https://github.com/ros2/rclcpp/issues/591> (#614 <https://github.com/ros2/rclcpp/issues/614>)
  * Replaced node constructor arguments with NodeOptions. (#622 <https://github.com/ros2/rclcpp/issues/622>)
  * Removed dependency on rclpy. (#626 <https://github.com/ros2/rclcpp/issues/626>)
  * Contributors: Emerson Knapp, Karsten Knese, Michael Carroll, Michael Jeronimo, Vinnam Kim, William Woodall, ivanpauno, rarvolt

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.6.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.6.1-1bionic) bionic; urgency=high

  * Added node path and time stamp to parameter event message (#584 <https://github.com/ros2/rclcpp/issues/584>)
  * Refactored init to allow for non-global init (#587 <https://github.com/ros2/rclcpp/issues/587>)
  * Add class Waitable (#589 <https://github.com/ros2/rclcpp/issues/589>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall, bpwilcox

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-rclcpp-lifecycle (0.6.0-1bionic) bionic; urgency=high

  * Updated to use new error handling API from rcutils (#577 <https://github.com/ros2/rclcpp/issues/577>)
  * Deleted TRANSITION_SHUTDOWN (#576 <https://github.com/ros2/rclcpp/issues/576>)


=== debian/control ===
Source: ros-eloquent-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-lifecycle-msgs, ros-eloquent-rcl-lifecycle, ros-eloquent-rclcpp, ros-eloquent-rmw-implementation, ros-eloquent-rosidl-typesupport-cpp, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-lifecycle-msgs, ros-eloquent-rcl-lifecycle, ros-eloquent-rclcpp, ros-eloquent-rmw-implementation, ros-eloquent-rosidl-typesupport-cpp, ros-eloquent-ros-workspace
Description: Package containing a prototype for lifecycle implementation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rclcpp-lifecycle//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
